#region Using declarations
using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Data;
using NinjaTrader.Indicator;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Strategy;
#endregion

// This namespace holds all strategies and is required. Do not change it.
namespace NinjaTrader.Strategy
{
  
    [Description("Enter the description of your strategy here")]
    public class WeeklyClose : Strategy
    {
        #region Variables
        // Wizard generated variables
        private int period = 200; // Default setting for Period
        // User defined variables (add any user defined variables below)
        #endregion


        protected override void Initialize()
        {
			Add(PeriodType.Day,1);
            CalculateOnBarClose = true;
        }


        protected override void OnBarUpdate()
        {
			
			if (BarsInProgress != 0)	return;
			
			
			if(CrossAbove(Close,SMA(BarsArray[1],Period),1))
			{
				EnterLong();
				
				//Objeto que señala los días de cruce
				DrawDot(CurrentBar.ToString() + "Cross", true, 0, Low[0]-(100*TickSize), Color.Pink);
			}
			
			// Objeto que grafiva el valor de SMA200 diaria
			DrawDot(CurrentBar.ToString() + "SMA", true, 0, SMA(BarsArray[1],Period)[0], Color.Green);
			
			if(CrossBelow(Close,SMA(BarsArray[1],Period),1))
			{
				ExitLong();
			}
        }

        #region Properties
        [Description("")]
        [GridCategory("Parameters")]
        public int Period
        {
            get { return period; }
            set { period = Math.Max(1, value); }
        }
        #endregion
    }
}
